using MethodTimer;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace Fody.MethodTimer
{
    class Program
    {
        static void Main(string[] args)
        {
            TextWriterTraceListener myWriter = new TextWriterTraceListener(System.Console.Out);
            Debug.Listeners.Add(myWriter);
            new Program().A();
        }

        [Time]
        public void A()
        {
            Thread.Sleep(350);
            B(C());
        }

        [Time]
        public string C()
        {
            Thread.Sleep(100);
            return "";
        }

        [Time]
        public void B(string arg)
        {
            Thread.Sleep(12);
        }
    }
}
